function bgHeightSliderOnLoad()
	bgHeightSlider:SetMinMaxValues(100,500)
	local sliderMin, sliderMax = bgHeightSlider:GetMinMaxValues()
	getglobal(bgHeightSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(bgHeightSlider:GetName().."High"):SetText(sliderMax)
	bgHeightSlider:SetOrientation("HORIZONTAL")
	bgHeightSlider:SetValueStep(1)
	bgHeightSlider:SetValue(Options.player.frame.bg.height)
end

function bgHeightSliderOnValueChanged()
	if bgHeightSlider:GetValue() then 
	
		bgHeightSlider:SetValue(bgHeightSlider:GetValue())
		Options.player.frame.bg.height=bgHeightSlider:GetValue()
		bgHeightStatus:SetText(Options.player.frame.bg.height)
		
		local height = Options.player.frame.bg.height
		
		HP_PLAYER_BG_TEXTURE1:SetHeight(height)
		HP_PLAYER_BG_TEXTURE2:SetHeight(height-2)
		HP_PLAYER_FRAME:SetHeight(height)
		HP_Player_Button:SetHeight(height)
		MP_PLAYER_BG_TEXTURE1:SetHeight(height)
		MP_PLAYER_BG_TEXTURE2:SetHeight(height-2)
		MP_PLAYER_FRAME:SetHeight(height)
		MP_Player_Button:SetHeight(height)
		
		HP_TARGET_BG_TEXTURE1:SetHeight(height)
		HP_TARGET_BG_TEXTURE2:SetHeight(height-2)
		HP_TARGET_FRAME:SetHeight(height)
		HP_Target_Button:SetHeight(height)
		MP_TARGET_BG_TEXTURE1:SetHeight(height)
		MP_TARGET_BG_TEXTURE2:SetHeight(height-2)
		MP_TARGET_FRAME:SetHeight(height)
		MP_Target_Button:SetHeight(height)
		
		HP_PET_BG_TEXTURE1:SetHeight(height/2)
		HP_PET_BG_TEXTURE2:SetHeight((height/2)-2)
		HP_PET_FRAME:SetHeight(height/2)
		HP_Pet_Button:SetHeight(height/2)
		MP_PET_BG_TEXTURE1:SetHeight(height/2)
		MP_PET_BG_TEXTURE2:SetHeight((height/2)-2)
		MP_PET_FRAME:SetHeight(height/2)
		MP_Pet_Button:SetHeight(height/2)
		
		HP_TARGETTARGET_BG_TEXTURE1:SetHeight(height/2)
		HP_TARGETTARGET_BG_TEXTURE2:SetHeight((height/2)-2)
		HP_TARGETTARGET_FRAME:SetHeight(height/2)
		HP_TargetTarget_Button:SetHeight(height/2)
		MP_TARGETTARGET_BG_TEXTURE1:SetHeight(height/2)
		MP_TARGETTARGET_BG_TEXTURE2:SetHeight((height/2)-2)
		MP_TARGETTARGET_FRAME:SetHeight(height/2)
		MP_TargetTarget_Button:SetHeight(height/2)
		
		partyGapSlider:SetMinMaxValues(1,Options.player.frame.bg.height/4)
		local sliderMin, sliderMax = partyGapSlider:GetMinMaxValues()
		getglobal(partyGapSlider:GetName().."Low"):SetText(sliderMin)
		getglobal(partyGapSlider:GetName().."High"):SetText(sliderMax)
	
	end
end

---------------------------------------------------------
function barWidthSliderOnLoad()
	barWidthSlider:SetMinMaxValues(5,100)
	local sliderMin, sliderMax = barWidthSlider:GetMinMaxValues()
	getglobal(barWidthSlider:GetName().."Low"):SetText(sliderMin)
	getglobal(barWidthSlider:GetName().."High"):SetText(sliderMax)
	barWidthSlider:SetOrientation("HORIZONTAL")
	barWidthSlider:SetValueStep(1)
	barWidthSlider:SetValue(Options.player.frame.bar.width)
end

function barWidthSliderOnValueChanged()
	if barWidthSlider:GetValue() then 
		barWidthSlider:SetValue(barWidthSlider:GetValue())
		Options.player.frame.bar.width=barWidthSlider:GetValue()
		Options.player.frame.bg.width=barWidthSlider:GetValue()
		barWidthStatus:SetText(Options.player.frame.bar.width)
		
	local bar_width = Options.player.frame.bar.width
	local bg_width = Options.player.frame.bg.width
	
		HP_PLAYER_BG_TEXTURE1:SetWidth(bg_width)
		HP_PLAYER_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PLAYER_BAR:SetWidth(bar_width)
		HP_PLAYER_FRAME:SetWidth(bg_width)
		HP_Player_Button:SetWidth(bg_width)
		MP_PLAYER_BG_TEXTURE1:SetWidth(bg_width)
		MP_PLAYER_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PLAYER_BAR:SetWidth(bar_width)
		MP_PLAYER_FRAME:SetWidth(bg_width)
		MP_Player_Button:SetWidth(bg_width)
		
		HP_TARGET_BG_TEXTURE1:SetWidth(bg_width)
		HP_TARGET_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_TARGET_BAR:SetWidth(bar_width)
		HP_TARGET_FRAME:SetWidth(bg_width)
		HP_Target_Button:SetWidth(bg_width)
		MP_TARGET_BG_TEXTURE1:SetWidth(bg_width)
		MP_TARGET_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_TARGET_BAR:SetWidth(bar_width)
		MP_TARGET_FRAME:SetWidth(bg_width)
		MP_Target_Button:SetWidth(bg_width)
		
		HP_PARTY1_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTY1_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTY1_BAR:SetWidth(bar_width)
		HP_PARTY1_FRAME:SetWidth(bg_width)
		HP_Party1_Button:SetWidth(bg_width)
		MP_PARTY1_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTY1_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTY1_BAR:SetWidth(bar_width)
		MP_PARTY1_FRAME:SetWidth(bg_width)
		MP_Party1_Button:SetWidth(bg_width)
		
		HP_PARTY2_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTY2_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTY2_BAR:SetWidth(bar_width)
		HP_PARTY2_FRAME:SetWidth(bg_width)
		HP_Party2_Button:SetWidth(bg_width)
		MP_PARTY2_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTY2_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTY2_BAR:SetWidth(bar_width)
		MP_PARTY2_FRAME:SetWidth(bg_width)
		MP_Party2_Button:SetWidth(bg_width)
		
		HP_PARTY3_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTY3_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTY3_BAR:SetWidth(bar_width)
		HP_PARTY3_FRAME:SetWidth(bg_width)
		HP_Party3_Button:SetWidth(bg_width)
		MP_PARTY3_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTY3_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTY3_BAR:SetWidth(bar_width)
		MP_PARTY3_FRAME:SetWidth(bg_width)
		MP_Party3_Button:SetWidth(bg_width)
		
		HP_PARTY4_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTY4_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTY4_BAR:SetWidth(bar_width)
		HP_PARTY4_FRAME:SetWidth(bg_width)
		HP_Party4_Button:SetWidth(bg_width)
		MP_PARTY4_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTY4_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTY4_BAR:SetWidth(bar_width)
		MP_PARTY4_FRAME:SetWidth(bg_width)
		MP_Party4_Button:SetWidth(bg_width)
		
		
		HP_PARTYPET1_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTYPET1_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTYPET1_BAR:SetWidth(bar_width)
		HP_PARTYPET1_FRAME:SetWidth(bg_width)
		HP_PartyPet1_Button:SetWidth(bg_width)
		MP_PARTYPET1_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTYPET1_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTYPET1_BAR:SetWidth(bar_width)
		MP_PARTYPET1_FRAME:SetWidth(bg_width)
		MP_PartyPet1_Button:SetWidth(bg_width)
		
		HP_PARTYPET2_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTYPET2_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTYPET2_BAR:SetWidth(bar_width)
		HP_PARTYPET2_FRAME:SetWidth(bg_width)
		HP_PartyPet2_Button:SetWidth(bg_width)
		MP_PARTYPET2_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTYPET2_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTYPET2_BAR:SetWidth(bar_width)
		MP_PARTYPET2_FRAME:SetWidth(bg_width)
		MP_PartyPet2_Button:SetWidth(bg_width)
		
		HP_PARTYPET3_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTYPET3_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTYPET3_BAR:SetWidth(bar_width)
		HP_PARTYPET3_FRAME:SetWidth(bg_width)
		HP_PartyPet3_Button:SetWidth(bg_width)
		MP_PARTYPET3_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTYPET3_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTYPET3_BAR:SetWidth(bar_width)
		MP_PARTYPET3_FRAME:SetWidth(bg_width)
		MP_PartyPet3_Button:SetWidth(bg_width)
		
		HP_PARTYPET4_BG_TEXTURE1:SetWidth(bg_width)
		HP_PARTYPET4_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PARTYPET4_BAR:SetWidth(bar_width)
		HP_PARTYPET4_FRAME:SetWidth(bg_width)
		HP_PartyPet4_Button:SetWidth(bg_width)
		MP_PARTYPET4_BG_TEXTURE1:SetWidth(bg_width)
		MP_PARTYPET4_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PARTYPET4_BAR:SetWidth(bar_width)
		MP_PARTYPET4_FRAME:SetWidth(bg_width)
		MP_PartyPet4_Button:SetWidth(bg_width)
		
		
		HP_PET_BG_TEXTURE1:SetWidth(bg_width)
		HP_PET_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_PET_BAR:SetWidth(bar_width)
		HP_PET_FRAME:SetWidth(bg_width)
		HP_Pet_Button:SetWidth(bg_width)
		MP_PET_BG_TEXTURE1:SetWidth(bg_width)
		MP_PET_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_PET_BAR:SetWidth(bar_width)
		MP_PET_FRAME:SetWidth(bg_width)
		MP_Pet_Button:SetWidth(bg_width)
		
		HP_TARGETTARGET_BG_TEXTURE1:SetWidth(bg_width)
		HP_TARGETTARGET_BG_TEXTURE2:SetWidth(bg_width-2)
		HP_TARGETTARGET_BAR:SetWidth(bar_width)
		HP_TARGETTARGET_FRAME:SetWidth(bg_width)
		HP_TargetTarget_Button:SetWidth(bg_width)
		MP_TARGETTARGET_BG_TEXTURE1:SetWidth(bg_width)
		MP_TARGETTARGET_BG_TEXTURE2:SetWidth(bg_width-2)
		MP_TARGETTARGET_BAR:SetWidth(bar_width)
		MP_TARGETTARGET_FRAME:SetWidth(bg_width)
		MP_TargetTarget_Button:SetWidth(bg_width)
	end
end