﻿--[[

--]]
--[[
local gHUD_test= {};



function gHUD_test:FrameBuilder(FrameName)
	local bgFile = "Interface\\AddOns\\Chimaine\\media\\PlainBackdrop"
	local edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border"
	local edgeSize = 16
	local insets = {left = 2, right = 2, top = 2, bottom = 2}
	local tile = false
	local tileSize = 16
	local testframe
	local value = {};
	testframe = CreateFrame("Frame", FrameName, UIParent);
	testframe:ClearAllPoints();
	testframe:SetHeight(50);
	testframe:SetWidth(50);
	testframe:SetFrameStrata("BACKGROUND");
	testframe:SetPoint("CENTER",UIParent,"CENTER", 0,0);
	frame:SetBackdrop(bgFile,edgeFile,tile,tileSize,edgeSize,insets);
	testframe:SetBackdropColor(0,0,0,1);
	value["anchor"] = testframe;
end

function gHUD_test:BuildFrame()
	self.gHUD_testFrame = self:FrameBuilder("TestFrame")
end
--]]
--[[
local LayerName = "Layer"
local LayerAnchor = UIParent	--we only use self if it works without the frame

function gHUD_test:LayerCreator()
local layer
	layer = gHUD_test_value[AnchorName]:CreateTexture(LayerName, "BORDER");
	layer:ClearAllPoints();
	layer:SetPoint(Point,LayerAnchor,RelativePoint, 0, 400);
	layer:SetHeight(30);
	layer:SetWidth(30);
	layer:SetTexture(1,0,0,1)
	--layer:SetVertexColor(1,1,1,1)
	gHUD_test_value[LayerName] = layer;
end

local TextName = "Text"
local TextAnchor = UIParent

function gHUD_test:TextCreator()
local text
	text = gHUD_test_value[AnchorName]:CreateFontString(TextName ,   "BACKGROUND", "GameFontNormal") --  ["name"[,"layer"[,"inheritsFrom"]
	text:ClearAllPoints();
	text:SetPoint(Point,TextAnchor,RelativePoint,0,400);
	text:SetFont("FRIZQT__.TTF",10,"OUTLINE")	--font,size,flag = "FRIZQT__.TTF",10,"OUTLINE"
	text:SetTextColor(1,1,1,1)
	gHUD_test_value[TextName] = text;
end

--]]


--[[ 
	--if you want to create the frame for a specific unit you could use something like self:
function gHUD_test:Frame()
	local unit = "player"
	self.UnitFrame = self:FrameCreator("UnitFrame"..unit, anchor,...)
end

function gHUD_test:Layer()

end

function gHUD_test:Text()

end
	
--]]

--[[
function gHUD_test:FrameCreator(name,anchor,parent,point,relativePoint,x,y,height,width,strata,backdrop,r1,g1,b1,a1,r2,g2,b2,a2)
	
	frame = CreateFrame(name, nil, UIParent)
	frame:ClearAllPoints()
	frame:SetPoint(point, anchor, relativePoint, x, y)
	frame:SetHeight(height)
	frame:SetWidth(width)
	frame:SetFrameStrata(strata)
	frame:EnableMouse(false)
	
	frame:SetBackdrop(backdrop)
	frame:SetBackdropColor(r1,g1,b1,a1)
	frame:SetBackdropBorderColor(r2,g2,b2,a2)
	gHUD_test_value[name] = frame
end
--]]







